# Derived values
%define module DBD-SQLite
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

# Conditional build:
%undefine	_with_tests	
#
Summary: DBD::SQLite - DBI driver for SQLite database
Name: perl-dbd-sqlite
Version: 1.12
Release: 2tr
License: Artistic/GPL v1
Group: Trustix Official
Source0: http://search.cpan.org/CPAN/authors/id/M/MS/MSERGEANT/DBD-SQLite-%{version}.tar.gz
BuildRequires: perl >= %{perlver}
BuildRequires: perl-dbi
BuildRequires: sqlite-devel
BuildRoot: /var/tmp/%{name}-%{version}-root
Provides: perl(DBD)

%define siteperl /usr/lib/perl5/site_perl/%{perlver}

%description
DBD::SQLite is a DBI driver for SQLite database. SQLite is a public
domain RDBMS database engine that you can find at
http://www.sqlite.org/.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n DBD-SQLite-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
make

%{?_with_tests:make test}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%{makeinstall}

find $RPM_BUILD_ROOT -name \*.pod -o -name .packlist | xargs rm

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc Changes README
%{siteperl}/i586-linux-thread-multi/DBD
%{siteperl}/i586-linux-thread-multi/auto/DBD
%{_mandir}/man3/DBD*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Jun 21 2006 Nived Gopalan <nived at trustix dot org> 1.12-1tr
- New Upstream.

* Mon Jun 06 2005 Ajith Thampi <ajith at comodo dot com> 1.08-4tr
- Rebuilt on perl-5.8.7	
		
* Mon Mar  7 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 1.08-1tr
- New upstream
- Rebuilt on perl-5.8.6

* Wed Oct 27 2004 Oystein Viggen <oysteivi at trustix dot com> 1.07-2tr
- Provides: perl(DBD)

* Fri Oct 22 2004 Oystein Viggen <oysteivi at trustix dot com> 1.07-1tr
- Import into Trustix
- Spec derived from the Polished Linux Distribution
